# FILE: makerules.tcl
#
# This file controls the application 'pimake' by defining rules which
# describe how to build the applications and/or extensions produced by
# the source code in this directory.
#
# NOTICE: Please see the file ../../LICENSE
#
# Last modified on: $Date: 1998/05/23 00:07:15 $
# Last modified by: $Author: donahue $
#
# Verify that this script is being sourced by pimake
if {[llength [info commands MakeRule]] == 0} {
    error "'[info script]' must be evaluated by pimake"
}
#
########################################################################

MakeRule Define {
    -targets		build
    -dependencies	tclIndex
}

MakeRule Define {
    -targets		mostlyclean
    -dependencies	objclean
    -script		{DeleteFiles tclIndex}
}

MakeRule Define {
    -targets		tclIndex
    -dependencies	[glob -nocomplain *.tcl]
    -script		{
			 MakeTclIndex .
			}
}

