# name.tcl
#
# Oc_Config test for the feature 'Name'.
#
# The value of the feature 'Name' is the name by which this configuration
# is known, and by which previously cached configuration results are 
# looked up.  It is the most fundamental feature.

Oc_Config DefineFeature Name {
    The name by which this configuration is known.  This name is used as
    the name of directories containing files built specifically for this
    configuration.
} {
    return unknown
}

